'use strict';

module.exports = function filterAllModules(stack) {
    return stack.map((stackLine) => {
        if (stackLine.file.includes("/node_modules/") || stackLine.file.includes("\\node_modules\\") || (!stackLine.file.includes("/") && !stackLine.file.includes("\\"))) {
            return {
                type: "ignored",
                count: 1
            }
        } else {
            return Object.assign({
                type: "stack"
            }, stackLine);
        }
    });
};
