'use strict';

const Promise = require("bluebird");
const path = require("path");
const createError = require("create-error");
const reportErrors = require("./");

let TestingError = createError("TestingError", {
    someProperty: "foo"
});

let errorReporter = reportErrors(path.join(__dirname, "errors"));

setTimeout(() => {
    console.log("bar");
}, 500);

Promise.try(() => {
    console.log("foo");
    throw new TestingError("Request limit exceeded, API is now on fire", {
        qux: {
            quz: 1,
            quack: [2, false]
        }
    });
});
