'use strict';

module.exports = function prettifyStack(stack) {
    return stack.map((stackLine) => {
        if (stackLine.type === "ignored") {
            return `  ... omitted ${stackLine.count} lines ...`;
        } else {
            return `${stackLine.methodName} (line ${stackLine.lineNumber} in ${stackLine.file})`
        }
    }).join("\n");
};
